# Mainteiner: Richard Lees <git0@bitservices.io>
###############################################################################

_gemname=terraform-wrapper

###############################################################################

pkgname=ruby-${_gemname}
pkgver=1.3.3
pkgrel=3
pkgdesc="A ruby wrapper for managing Terraform binaries and remote state."
arch=(any)
url="https://gitlab.com/rlees85-ruby/terraform-wrapper/"
license=("MIT")
depends=("ruby" "ruby-rake" "ruby-rubyzip")
source=("https://rubygems.org/downloads/${_gemname}-${pkgver}.gem")
noextract=("${_gemname}-${pkgver}.gem")
sha256sums=("6fefcfcb36c9ed6a0e7de1babba9b2c6cf7e6e98fb84053196ecdd6cc992f745")

###############################################################################

package() {
    cd "${srcdir}"
    local _gemdir="$(ruby -e"puts Gem.default_dir")"
    gem install --ignore-dependencies --no-user-install -i "${pkgdir}/${_gemdir}" "${_gemname}-${pkgver}.gem"
}

###############################################################################
